Show / Hide Table of Contents

# Struct SMNGauge

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Dalamud.Game.ClientState.Structs.JobGauge

###### Assembly: Dalamud.dll

##### Syntax

    public struct SMNGauge

### Fields

| Improve this Doc View Source

#### NumStacks

##### Declaration

    public byte NumStacks

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ReturnSummon

##### Declaration

    public SummonPet ReturnSummon

##### Field Value

Type | Description
--- | ---
SummonPet |

| Improve this Doc View Source

#### ReturnSummonGlam

##### Declaration

    public PetGlam ReturnSummonGlam

##### Field Value

Type | Description
--- | ---
PetGlam |

| Improve this Doc View Source

#### TimerRemaining

##### Declaration

    public short TimerRemaining

##### Field Value

Type | Description
--- | ---
System.Int16 |

### Methods

| Improve this Doc View Source

#### HasAetherflowStacks()

##### Declaration

    public bool HasAetherflowStacks()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsBahamutReady()

##### Declaration

    public bool IsBahamutReady()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsPhoenixReady()

##### Declaration

    public bool IsPhoenixReady()

##### Returns

Type | Description
--- | ---
System.Boolean |